import { IAutoScalingGroup } from "monocdk/aws-autoscaling";
import { GraphWidget, IMetric, IWidget } from "monocdk/aws-cloudwatch";
import { BaseMonitoringProps, Monitoring, MonitoringScope } from "../../common";
import { MonitoringHeaderWidget } from "../../dashboard";
export interface EC2MonitoringOptions extends BaseMonitoringProps {
    readonly autoScalingGroup?: IAutoScalingGroup;
}
export interface EC2MonitoringProps extends EC2MonitoringOptions {
}
export declare class EC2Monitoring extends Monitoring {
    protected readonly family: string;
    protected readonly title: string;
    protected readonly cpuUtilisationMetric: IMetric;
    protected readonly diskReadBytesMetric: IMetric;
    protected readonly diskWriteBytesMetric: IMetric;
    protected readonly diskReadOpsMetric: IMetric;
    protected readonly diskWriteOpsMetric: IMetric;
    protected readonly networkInMetric: IMetric;
    protected readonly networkOutMetric: IMetric;
    constructor(scope: MonitoringScope, props: EC2MonitoringProps);
    summaryWidgets(): IWidget[];
    widgets(): IWidget[];
    protected createTitleWidget(): MonitoringHeaderWidget;
    protected createCpuWidget(width: number, height: number): GraphWidget;
    protected createDiskWidget(width: number, height: number): GraphWidget;
    protected createDiskOpsWidget(width: number, height: number): GraphWidget;
    protected createNetworkWidget(width: number, height: number): GraphWidget;
}
